import sys
import os

this_dir = os.path.dirname(os.path.realpath(__file__))
src_dir = os.path.join(this_dir, "src")
if src_dir not in sys.path:
    sys.path.insert(0, src_dir)

comfy_dir = os.path.abspath(os.path.join(this_dir, "../../comfy"))
if comfy_dir not in sys.path:
    sys.path.insert(0, comfy_dir)

from .wuyingDiT_nodes import NODE_CLASS_MAPPINGS, NODE_DISPLAY_NAME_MAPPINGS

__all__ = [
    "NODE_CLASS_MAPPINGS",
    "NODE_DISPLAY_NAME_MAPPINGS",
]
